Retrieve a payment method | Moov Documentation

Retrieve a payment method

Get the specified payment method associated with a Moov account. Read our payment methods guide to learn more.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/payment-methods.read scope.

GET

/accounts/{accountID}/payment-methods/{paymentMethodID}

Ask

curl -X GET "https://api.moov.io/accounts/{accountID}/payment-methods/{paymentMethodID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Ask

mc, _ := moov.NewClient()

var accountID string
var paymentMethodID string

mc.GetPaymentMethod(ctx, accountID, paymentMethodID)

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.paymentMethods.get({
    accountID: "56878537-30b0-48ee-9c54-07ab3a8b243d",
    paymentMethodID: "aa740bf3-4c5f-459b-9370-4f7d4bea382b",
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\